{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    yubioath-flutter
  ];

  security.pam.services = {
    login.u2fAuth = true;
    sudo.u2fAuth = true;
  };

  services = {
    pcscd.enable = true;
    udev.packages = with pkgs; [ yubikey-personalization ];
  };
}
